<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    
    <xsl:template match="fiche" mode="component-Header">
        <h1><xsl:apply-templates select="." mode="include-fiche-Title"/></h1>
    </xsl:template>
    
    <xsl:template match="soustitre" mode="component-Header">
        <p class="fiche-Description"><xsl:apply-templates select="*" mode="ficheitem-Inline"/></p>
    </xsl:template>
    
    <xsl:template match="extraitthesaurus|motcles" mode="component-Inline">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Separator" select="' ; '"/>
        <xsl:param name="param_Lang" select="$WORKINGLANG"/>
        <p class="fiche-Field">
            <span class="fiche-Label"><xsl:value-of select="$param_Label"/> : </span>
            <xsl:apply-templates select="." mode="motcle-Inline">
                <xsl:with-param name="param_Separator" select="$param_Separator"/>
                <xsl:with-param name="param_Lang" select="$param_Lang"/>
            </xsl:apply-templates>
        </p>
    </xsl:template>
    
    <xsl:template match="extraitthesaurus|motcles" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Lang" select="$WORKINGLANG"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> : </p>
        <ul class="fiche-Block">
            <xsl:apply-templates select="." mode="motcle-Listitem">
                <xsl:with-param name="param_Lang" select="$param_Lang"/>
            </xsl:apply-templates>
        </ul>
    </xsl:template>
    
    <xsl:template match="extraitcorpus|fiches" mode="component-Table">
        <xsl:param name="param_Label" select="''"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> : </p>
        <table class="fiche-Table">
            <xsl:apply-templates select="." mode="include-Table"/>
        </table>
    </xsl:template>
    
    <xsl:template match="extraitcorpus|fiches|extraitaddenda|documents" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> : </p>
        <ul class="fiche-Block">
            <xsl:apply-templates select="." mode="include-Listitem" />
        </ul>
    </xsl:template>

    <xsl:template match="extraitalbum|illustrations" mode="component-Inline">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Separator" select="' '"/>
        <p class="fiche-Field">
            <span class="fiche-Label"><xsl:value-of select="$param_Label"/> : </span>
            <xsl:apply-templates select="." mode="include-Inline">
                <xsl:with-param name="param_Separator" select="$param_Separator"/>
            </xsl:apply-templates>
        </p>
    </xsl:template>

    <xsl:template match="propriete|redacteurs|lang|information" mode="component-Inline">
        <xsl:param name="param_Label" select="''"/>
        <xsl:param name="param_Separator" select="', '"/>
        <p class="fiche-Field">
            <span class="fiche-Label"><xsl:value-of select="$param_Label"/> : </span>
            <xsl:apply-templates select="*" mode="ficheitem-Inline">
                <xsl:with-param name="param_Separator" select="$param_Separator"/>
            </xsl:apply-templates>
        </p>
    </xsl:template>
    
    <xsl:template match="information" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> :</p>
        <ul class="fiche-Block">
            <xsl:apply-templates select="*" mode="ficheitem-Listitem" />
        </ul>
    </xsl:template>
    
    <xsl:template match="information" mode="component-Block">
        <xsl:param name="param_Label" select="''"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> :</p>
        <div class="fiche-Block">
            <xsl:apply-templates select="*" mode="ficheitem-Block" />
        </div>
    </xsl:template>
    
    <xsl:template match="section" mode="component-Section">
        <xsl:param name="param_Label" select="''"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> :</p>
        <section class="fiche-Section">
            <xsl:apply-templates select="*"/>
        </section>
    </xsl:template>
    
    <xsl:template match="fiche" mode="component-Chrono">
        <xsl:param name="param_CreationLabel" select="''"/>
        <xsl:param name="param_ModificationLabel" select="''"/>
        <p class="fiche-Time"><xsl:value-of select="$param_CreationLabel"/> : <xsl:apply-templates select="chrono/datation[1]" mode="ficheitem-Inline"/> — <xsl:value-of select="$param_ModificationLabel"/> : <xsl:apply-templates select="chrono/datation[position() = last()]" mode="ficheitem-Inline"/></p>
    </xsl:template>
    
    <xsl:template match="data" mode="component-Listitem">
        <xsl:param name="param_Label" select="''"/>
        <p class="fiche-Label"><xsl:value-of select="$param_Label"/> : </p>
        <ul class="fiche-Block">
            <xsl:apply-templates select="." mode="data-Listitem" />
        </ul>
    </xsl:template>
    
    <xsl:template match="fiche" mode="component-Parentage">
        <xsl:param name="param_Label" select="''"/>
        <xsl:if test="fiche|motcle">
            <p class="fiche-Label"><xsl:value-of select="$param_Label"/> : </p>
            <ul class="fiche-Block">
                <xsl:apply-templates select="motcle" mode="motcle-Listitem_TextOnly"/>
                <xsl:apply-templates select="fiche" mode="include-fiche-Listitem"/>
            </ul>
        </xsl:if>
    </xsl:template>
    
</xsl:stylesheet>

